Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-ini
Version:        1.3.4
Release:        alt1_7
Summary:        An INI parser/serializer for node.js
License:        MIT
URL:            https://github.com/isaacs/ini
Source0:        https://github.com/isaacs/ini/archive/v%{version}/ini-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tap)
Source44: import.info

%description
An INI file parser and serializer for node.js.


%prep
%setup -q -n ini-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ini
cp -p ini.js package.json %{buildroot}%{nodejs_sitelib}/ini
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/ini


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_4
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_3
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- initial import

